Mailinglist Archive: opensuse-updates (84 mails)

< Previous Next >
openSUSE-SU-2011:0276-1 (important): php5: security update
openSUSE Security Update: php5: security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0276-1
Rating: important
References: #655968 #656523 #660102 #662932 #666512 #669162
#669188 #669189 #671710 #672933
Cross-References: CVE-2010-3709 CVE-2010-4150 CVE-2010-4697
CVE-2010-4698 CVE-2010-4699 CVE-2010-4700
CVE-2011-0420 CVE-2011-0708 CVE-2011-0752
CVE-2011-0753 CVE-2011-0755
Affected Products:
openSUSE 11.3
openSUSE 11.2
______________________________________________________________________________

An update that fixes 11 vulnerabilities is now available.
It includes one version update.

Description:

php5 was updated to fix several security issues.
(CVE-2010-3709, CVE-2010-4150, CVE-2010-4645,
CVE-2010-4697, CVE-2010-4698, CVE-2010-4699, CVE-2010-4700,
CVE-2011-0752, CVE-2011-0753, CVE-2011-0755,CVE-2011-0708,
CVE-2011-0420)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch apache2-mod_php5-4119

- openSUSE 11.2:

zypper in -t patch apache2-mod_php5-4119

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64) [New Version: 5.3.3]:

apache2-mod_php5-5.3.3-0.17.1
php5-5.3.3-0.17.1
php5-bcmath-5.3.3-0.17.1
php5-bz2-5.3.3-0.17.1
php5-calendar-5.3.3-0.17.1
php5-ctype-5.3.3-0.17.1
php5-curl-5.3.3-0.17.1
php5-dba-5.3.3-0.17.1
php5-devel-5.3.3-0.17.1
php5-dom-5.3.3-0.17.1
php5-enchant-5.3.3-0.17.1
php5-exif-5.3.3-0.17.1
php5-fastcgi-5.3.3-0.17.1
php5-fileinfo-5.3.3-0.17.1
php5-ftp-5.3.3-0.17.1
php5-gd-5.3.3-0.17.1
php5-gettext-5.3.3-0.17.1
php5-gmp-5.3.3-0.17.1
php5-hash-5.3.3-0.17.1
php5-iconv-5.3.3-0.17.1
php5-imap-5.3.3-0.17.1
php5-intl-5.3.3-0.17.1
php5-json-5.3.3-0.17.1
php5-ldap-5.3.3-0.17.1
php5-mbstring-5.3.3-0.17.1
php5-mcrypt-5.3.3-0.17.1
php5-mysql-5.3.3-0.17.1
php5-odbc-5.3.3-0.17.1
php5-openssl-5.3.3-0.17.1
php5-pcntl-5.3.3-0.17.1
php5-pdo-5.3.3-0.17.1
php5-pgsql-5.3.3-0.17.1
php5-phar-5.3.3-0.17.1
php5-posix-5.3.3-0.17.1
php5-pspell-5.3.3-0.17.1
php5-readline-5.3.3-0.17.1
php5-shmop-5.3.3-0.17.1
php5-snmp-5.3.3-0.17.1
php5-soap-5.3.3-0.17.1
php5-sockets-5.3.3-0.17.1
php5-sqlite-5.3.3-0.17.1
php5-suhosin-5.3.3-0.17.1
php5-sysvmsg-5.3.3-0.17.1
php5-sysvsem-5.3.3-0.17.1
php5-sysvshm-5.3.3-0.17.1
php5-tidy-5.3.3-0.17.1
php5-tokenizer-5.3.3-0.17.1
php5-wddx-5.3.3-0.17.1
php5-xmlreader-5.3.3-0.17.1
php5-xmlrpc-5.3.3-0.17.1
php5-xmlwriter-5.3.3-0.17.1
php5-xsl-5.3.3-0.17.1
php5-zip-5.3.3-0.17.1
php5-zlib-5.3.3-0.17.1

- openSUSE 11.3 (noarch) [New Version: 5.3.3]:

php5-pear-5.3.3-0.17.1

- openSUSE 11.2 (i586 x86_64) [New Version: 5.3.3]:

apache2-mod_php5-5.3.3-0.17.1
php5-5.3.3-0.17.1
php5-bcmath-5.3.3-0.17.1
php5-bz2-5.3.3-0.17.1
php5-calendar-5.3.3-0.17.1
php5-ctype-5.3.3-0.17.1
php5-curl-5.3.3-0.17.1
php5-dba-5.3.3-0.17.1
php5-devel-5.3.3-0.17.1
php5-dom-5.3.3-0.17.1
php5-enchant-5.3.3-0.17.1
php5-exif-5.3.3-0.17.1
php5-fastcgi-5.3.3-0.17.1
php5-fileinfo-5.3.3-0.17.1
php5-ftp-5.3.3-0.17.1
php5-gd-5.3.3-0.17.1
php5-gettext-5.3.3-0.17.1
php5-gmp-5.3.3-0.17.1
php5-hash-5.3.3-0.17.1
php5-iconv-5.3.3-0.17.1
php5-imap-5.3.3-0.17.1
php5-intl-5.3.3-0.17.1
php5-json-5.3.3-0.17.1
php5-ldap-5.3.3-0.17.1
php5-mbstring-5.3.3-0.17.1
php5-mcrypt-5.3.3-0.17.1
php5-mysql-5.3.3-0.17.1
php5-odbc-5.3.3-0.17.1
php5-openssl-5.3.3-0.17.1
php5-pcntl-5.3.3-0.17.1
php5-pdo-5.3.3-0.17.1
php5-pgsql-5.3.3-0.17.1
php5-phar-5.3.3-0.17.1
php5-posix-5.3.3-0.17.1
php5-pspell-5.3.3-0.17.1
php5-readline-5.3.3-0.17.1
php5-shmop-5.3.3-0.17.1
php5-snmp-5.3.3-0.17.1
php5-soap-5.3.3-0.17.1
php5-sockets-5.3.3-0.17.1
php5-sqlite-5.3.3-0.17.1
php5-suhosin-5.3.3-0.17.1
php5-sysvmsg-5.3.3-0.17.1
php5-sysvsem-5.3.3-0.17.1
php5-sysvshm-5.3.3-0.17.1
php5-tidy-5.3.3-0.17.1
php5-tokenizer-5.3.3-0.17.1
php5-wddx-5.3.3-0.17.1
php5-xmlreader-5.3.3-0.17.1
php5-xmlrpc-5.3.3-0.17.1
php5-xmlwriter-5.3.3-0.17.1
php5-xsl-5.3.3-0.17.1
php5-zip-5.3.3-0.17.1
php5-zlib-5.3.3-0.17.1

- openSUSE 11.2 (noarch) [New Version: 5.3.3]:

php5-pear-5.3.3-0.17.1


References:

http://support.novell.com/security/cve/CVE-2010-3709.html
http://support.novell.com/security/cve/CVE-2010-4150.html
http://support.novell.com/security/cve/CVE-2010-4697.html
http://support.novell.com/security/cve/CVE-2010-4698.html
http://support.novell.com/security/cve/CVE-2010-4699.html
http://support.novell.com/security/cve/CVE-2010-4700.html
http://support.novell.com/security/cve/CVE-2011-0420.html
http://support.novell.com/security/cve/CVE-2011-0708.html
http://support.novell.com/security/cve/CVE-2011-0752.html
http://support.novell.com/security/cve/CVE-2011-0753.html
http://support.novell.com/security/cve/CVE-2011-0755.html
https://bugzilla.novell.com/655968
https://bugzilla.novell.com/656523
https://bugzilla.novell.com/660102
https://bugzilla.novell.com/662932
https://bugzilla.novell.com/666512
https://bugzilla.novell.com/669162
https://bugzilla.novell.com/669188
https://bugzilla.novell.com/669189
https://bugzilla.novell.com/671710
https://bugzilla.novell.com/672933


< Previous Next >
This Thread
  • No further messages